<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginTop="16dp">

    <androidx.cardview.widget.CardView
        android:id="@+id/card"
        android:layout_width="60dp"
        android:layout_height="60dp"
        android:layout_marginStart="18dp"
        app:cardCornerRadius="10dp"
        app:cardElevation="0dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/im_covert"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />
    </androidx.cardview.widget.CardView>


    <LinearLayout
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="12dp"
        android:gravity="center_vertical"
        android:orientation="vertical"
        android:paddingEnd="5dp"
        app:layout_constraintRight_toLeftOf="@id/layout_download"
        app:layout_constraintBottom_toBottomOf="@id/card"
        app:layout_constraintLeft_toRightOf="@id/card"
        app:layout_constraintTop_toTopOf="@id/card">

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/app_name"
            android:maxLines="1"
            android:ellipsize="end"
            android:textColor="@color/white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/tv_singer_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:text="@string/app_name"
            android:maxLines="1"
            android:ellipsize="end"
            android:textColor="@color/white_60_color"
            android:textSize="12sp" />

    </LinearLayout>

    <FrameLayout
        android:id="@+id/layout_download"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="15dp"
        android:padding="10dp"
        app:layout_constraintBottom_toBottomOf="@id/card"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/card">

        <ImageView
            android:id="@+id/im_download"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:src="@drawable/selector_download" />


        <ProgressBar
            android:id="@+id/download_pb"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:indeterminateTint="@color/panel_bg"
            android:progressBackgroundTint="@color/panel_bg"
            android:progressTint="@color/panel_bg"
            android:visibility="gone" />
    </FrameLayout>

    <View
        android:id="@+id/place"
        android:layout_width="match_parent"
        android:layout_height="74dp"
        android:visibility="gone"
        app:layout_constraintTop_toBottomOf="@id/card" />
</androidx.constraintlayout.widget.ConstraintLayout>